Name: unrealspeccyp
Version: 0.0.83
Release: alt1

Summary: Portable ZX Spectrum emulator based on UnrealSpeccy 0.37.3 by SMT
License: GPL
Group: Emulators
Url: https://bitbucket.org/djdron/unrealspeccyp/

#Source: https://bitbucket.org/djdron/%name/get/%version.tar.bz2
%define srcname djdron-unrealspeccyp-9ed3b73ad26f
Source: %srcname.tar.bz2
Patch: UnrealSpeccyP-SDL2-50Hz-videomodes.patch

Requires: curl libSDL2 zlib

BuildPreReq: gcc-c++ cmake rpm-macros-cmake
BuildRequires: libcurl-devel libSDL2-devel zlib-devel
# /usr/lib64/cmake/SDL2/sdl2-config.cmake
# set(SDL2_LIBRARIES "-L${SDL2_LIBDIR} -Wl,-rpath,${libdir} -Wl,--enable-new-dtags -lSDL2")
BuildRequires: chrpath

%description
Portable ZX-Spectrum emulator supports Z80 128K (Pentagon) AY/YM, Beeper, Beta
Disk, Tape, Kempston Joystick/Mouse, Snapshots, Replays.
Supported formats: sna, z80, szx, rzx, tap, tzx, csw, trd, scl, fdi, td0, udi, zip

%prep
%setup -n %srcname
%patch0 -p1

%build
%cmake_insource build/cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DUSE_SDL=Off -DUSE_SDL2=On \
    -DCMAKE_CXX_FLAGS="`sdl2-config --cflags`" \
    -DCMAKE_EXE_LINKER_FLAGS="`sdl2-config --libs`"
%make_build

%install
chrpath -d unreal_speccy_portable
install -Dm755 unreal_speccy_portable \
    %buildroot/usr/lib/unreal-speccy-portable/unreal_speccy_portable
install -dm755 %buildroot/usr/lib/unreal-speccy-portable/res
cp -r res %buildroot/usr/lib/unreal-speccy-portable

cd build/install/linux/debian
install -Dm755 usr/bin/unreal-speccy-portable \
    %buildroot/usr/bin/unreal-speccy-portable
install -Dm644 usr/share/applications/unreal-speccy-portable.desktop \
    %buildroot/usr/share/applications/unreal-speccy-portable.desktop
install -Dm644 usr/share/mime/packages/unreal_speccy_portable.xml \
    %buildroot/usr/share/mime/packages/unreal_speccy_portable.xml
for size in 22x22 24x24 32x32 48x48 64x64 128x128; do
    install -Dm644 usr/share/icons/hicolor/$size/apps/unreal_speccy_portable.png \
        %buildroot/usr/share/icons/hicolor/$size/apps/unreal_speccy_portable.png
done

%files
%_bindir/unreal-speccy-portable
%_prefix/lib/unreal-speccy-portable/res/font/spxtrm4f.fnt
%_prefix/lib/unreal-speccy-portable/res/rom/dos513f.rom
%_prefix/lib/unreal-speccy-portable/res/rom/service.rom
%_prefix/lib/unreal-speccy-portable/res/rom/sos128_0.rom
%_prefix/lib/unreal-speccy-portable/res/rom/sos128_1.rom
%_prefix/lib/unreal-speccy-portable/res/rom/sos48.rom
%_prefix/lib/unreal-speccy-portable/res/rom/test.rom
%_prefix/lib/unreal-speccy-portable/unreal_speccy_portable
%_datadir/applications/unreal-speccy-portable.desktop
%_datadir/icons/*
%_datadir/mime/packages/unreal_speccy_portable.xml

%changelog
* Fri May 15 2020 Sergei A. Trusov <sergei.a.trusov@ya.ru> 0.0.83-alt1
- initial build
